Package org.eclipse.net4j.util.io

## Class ExtendedIOUtil.ClassLoaderClassResolver

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedIOUtil.ClassLoaderClassResolver

- All Implemented Interfaces:
    `ExtendedIOUtil.ClassResolver`
  Enclosing class:
    ExtendedIOUtil

      public static class ExtendedIOUtil.ClassLoaderClassResolver
      extends java.lang.Object
      implements ExtendedIOUtil.ClassResolver

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassLoaderClassResolver​(java.lang.ClassLoader classLoader)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `resolveClass​(java.io.ObjectStreamClass v)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLoaderClassResolver

          public ClassLoaderClassResolver​(java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### resolveClass

          public java.lang.Class<?> resolveClass​(java.io.ObjectStreamClass v)
                                          throws java.lang.ClassNotFoundException

      Specified by:
        `resolveClass` in interface `ExtendedIOUtil.ClassResolver`
      Throws:
        `java.lang.ClassNotFoundException`